Create snippet
curl --request POST \
--url https://api.akua.dev/v1/snippets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Cluster Resource Audit",
"code": "<string>",
"description": "<string>",
"inputs": [
{
"key": "<string>",
"label": "<string>",
"kind": "time_range",
"description": "<string>",
"required": true
}
],
"agent_session_id": "<string>",
"agent_turn_id": "<string>"
}
'import requests
url = "https://api.akua.dev/v1/snippets"
payload = {
"name": "Cluster Resource Audit",
"code": "<string>",
"description": "<string>",
"inputs": [
{
"key": "<string>",
"label": "<string>",
"kind": "time_range",
"description": "<string>",
"required": True
}
],
"agent_session_id": "<string>",
"agent_turn_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Cluster Resource Audit',
code: '<string>',
description: '<string>',
inputs: [
{
key: '<string>',
label: '<string>',
kind: 'time_range',
description: '<string>',
required: true
}
],
agent_session_id: '<string>',
agent_turn_id: '<string>'
})
};
fetch('https://api.akua.dev/v1/snippets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"snippet_id": "<string>"
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}Snippets
Create snippet
Creates a reusable code snippet in the workspace. Snippets are async JavaScript functions executed in a sandboxed runtime with access to platform.request() for API calls.
POST
/
snippets
Create snippet
Authorizations
workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens
Body
application/json
- Option 1
- Option 2
Required string length:
1 - 100Example:
"Cluster Resource Audit"
Async JavaScript function body. Executed in a sandboxed runtime with access to platform.request().
Required string length:
1 - 50000Controls how the snippet result is rendered in dashboard widgets
Available options:
table, stat, json, logs, timeseries Optional human-readable description
Maximum string length:
500Maximum array length:
16- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
Show child attributes
Show child attributes
Whether the snippet is reusable workspace state or scoped to an agent session.
Available options:
workspace, session Who authored the snippet descriptor.
Available options:
user, agent, system Required string length:
1 - 54Required string length:
1 - 54Available options:
general, prepared_action, reactive_read, widget Response
Snippet created
⌘I